%define name 	wvstreams
%define version 4.4

%define major	4.4
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define libname_orig lib%{name}

Name:		%{name}
Version: 	%{version}
Release: 	%mkrel 3
License: 	LGPLv2+
Group:          System/Libraries
Group:          Development/C
Summary: 	Network programming library written in C++
URL: 		http://open.nit.ca/wvstreams
Source: 	http://open.nit.ca/download/wvstreams-%{version}.tar.gz
# Install .ini file to /var/lib , not /var/lib/lib
Patch1:		wvstreams-4.3-ini-location.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	openssl-devel
BuildRequires: 	zlib-devel
BuildRequires:	libxplc-devel
BuildRequires:	readline-devel

%description
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.

%package -n uniconf
Group:		System/Configuration/Other
Summary:	Configuration system
Requires: 	%{libname} = %{version}-%{release}

%description -n uniconf
UniConf is a configuration system that can serve as the centrepiece among 
many other, existing configuration systems. UniConf can also be accessed over 
the network, with authentication, allowing easy replication of configuration 
data via the UniReplicateGen. This package contains the server that accepts 
incoming TCP or Unix connections, and gets or sets UniConf elements at the 
request of a UniConf client. 

%package -n %{libname}
Group:          System/Libraries
Summary: 	Network programming library written in C++

%description -n %{libname}
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.

%package -n %{develname}
Summary: 	Development files for WvStreams
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
Provides: 	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}%{name}4.3-devel

%description -n %{develname}
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development. This package contains the files
needed for developing applications which use WvStreams.

%prep
%setup -q
#%patch0 -p1 -b .build
%patch1 -p1 -b .ini

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC" CXXFLAGS="$RPM_OPT_FLAGS -fPIC" %configure --with-openssl --with-zlib --with-qdbm=no --with-qt=no --with-pam=no --with-qt=no --with-telephony=no --with-tcl=no --with-swig=no --with-openslp=no

CFLAGS="$RPM_OPT_FLAGS -fPIC" CXXFLAGS="$RPM_OPT_FLAGS -fPIC" %make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n uniconf
%defattr(-,root,root)
%{_sysconfdir}/uniconf.conf
%{_bindir}/uni
%{_sbindir}/uniconfd
%{_mandir}/man8/*
%dir %{_localstatedir}/uniconf
%{_localstatedir}/uniconf/uniconfd.ini

%files -n %{libname}
%doc COPYING.LIB README
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/wvstreams
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 4.4-3mdv2008.1
+ Revision: 179668
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.com> 4.4-1mdv2008.0
+ Revision: 80590
- use Fedora license policy
- drop patch2 (superseded upstream)
- new release 4.4

* Tue Jul 03 2007 Adam Williamson <awilliamson@mandriva.com> 4.3.90-2mdv2008.0
+ Revision: 47439
- rejig the fPIC stuff to (hopefully) make it stick
- new devel policy
- build against libreadline
- drop patch0 (merged upstream)
- new release 4.3.90 (test for 4.4 from mailing list)

* Thu May 03 2007 Adam Williamson <awilliamson@mandriva.com> 4.3-3mdv2008.0
+ Revision: 20813
- add conflict on previous -devel package (thanks gb and misc)

* Fri Apr 27 2007 Olivier Blin <oblin@mandriva.com> 4.3-2mdv2008.0
+ Revision: 18773
- drop xplc removal hack

* Fri Apr 27 2007 Adam Williamson <awilliamson@mandriva.com> 4.3-1mdv2008.0
+ Revision: 18449
- 4.3, rebuild for new era
- introduce new patches to fix build
- drop all old patches (no longer useful)
- don't build against db1 any more
- clean spec


* Sun Jan 14 2007 Olivier Blin <oblin@mandriva.com> 3.74.0-7mdv2007.0
+ Revision: 108656
- fix build by removing extra qualification
- remove dot in summary
- bunzip2 patches
- remove ssl 0.9.7 patch and rebuild with ssl 0.9.8 (#26240)

  + Jérôme Soyer <saispo@mandriva.org>
    - Rebuild with new openssl
    - Import wvstreams

* Thu Sep 08 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.74.0-5mdk
- fixes for new OpenSSL API (from wvstreams 4.0.2)

* Sat Jul 10 2004 Olivier Blin <blino@mandrake.org> 3.74.0-4mdk
- Patch2: gcc34 fixes

* Fri Apr 16 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.74.0-3mdk
- build fixes

* Sun Jan 18 2004 Olivier Blin <blino@mandrake.org> 3.74.0-2mdk
- buildrequires db1-devel
- disable unneeded options in configure (thanks to Charles A Edwards)

